domingo, 29 de noviembre de 2009

Seguimiento OpenSUSE 11.2 - Controlador ATI fglrx

Tuvieron que pasar 2 semanas para que ATI actualice sus repositorios de controladores oficiales para openSUSE 11.2


Cierto problema no permitía instalar de forma correcta la ultima versión (9.11) del controlador "fglrx" para chips ATI mediante el asistente de instalación.
Finalmente y tras varias soluciones duras, podemos agregar el servidor de repositorios e instalar con simples clicks en YAST (al fin!).



Nota: fglrx son los controladores correspondientes a mi chip Radeon HD2400. Para mas detalles de soporte revisar aqui: http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.1&lang=English

Pasos:
  1. En YAST, agregar un nuevo servidor http de repositorios cuya url es: http://www2.ati.com
  2. El directorio para el repositorio correspondiente es: /suse/11.2/
  3. Tras aceptar y agregar el nuevo servidor vamos a Instalar/desinstalar Software y si Yast no se los muestra en forma inmediata, buscan los drivers bajo "fglrx".
  4. Seleccionar el paquete: "ati-fglrxG02-kmp-mikernel" donde cambian mikernel por la version correspondiente al kernel que tengan instalado (desktop, pae, ...).
  5.  Asi mismo seleccionan el segundo paquete necesario para XOrg "x11-video-fglrxG02"
  6. Finalmente aceptan y tras su instalación configuramos nuestro adaptador de video con el nuevo controlador:
    1. Vamos al terminal CTRL + ALT + F1
    2. Entramos como super usuario
    3. Ejecutamos: "aticonfig --initial"
    4. Reiniciamos nuestro equipo y listo.
De vuelta ya deberíamos contar con el controlador fglrx de ATi funcionando.


Suerte! ;)

    1 comentario:

    1. Excelente thiers!!
      la captura de pantalla me recuerda la felicidad que sentì cuando me ayudaste a instalarlo en mi note ;)
      Saludos

      ResponderEliminar